package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 考试系统奖励分换算记录对象 el_convert_record
 *
 * @author liubo
 * @date 2021-12-16
 */
@ApiModel("考试系统奖励分换算记录")
public class ElConvertRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 数据类型（1. 练习题数量，2. 考试得分，3. 学习时长（秒））
     */
    @Excel(name = "数据类型", readConverterExp = "1=.,练=习题数量，2.,考=试得分，3.,学=习时长（秒")
    @ApiModelProperty(value = "数据类型")
    private Integer type;
    /**
     * 业务ID
     */
    @Excel(name = "业务ID")
    @ApiModelProperty(value = "业务ID")
    private Long businessId;
    /**
     * 业务数值
     */
    @Excel(name = "业务数值")
    @ApiModelProperty(value = "业务数值")
    private Long businessNum;
    /**
     * 状态（0 未兑换，1 已兑换）
     */
    @Excel(name = "状态", readConverterExp = "0=,未=兑换，1,已=兑换")
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 业务使用数值
     */
    @Excel(name = "业务使用数值")
    @ApiModelProperty(value = "业务使用数值")
    private Long useNum;
    /**
     * 兑换数值（通过 use_num 以及规则换算出来的）
     */
    @Excel(name = "兑换数值", readConverterExp = "通=过,u=se_num,以=及规则换算出来的")
    @ApiModelProperty(value = "兑换数值")
    private Long convertNum;
    /**
     * 父级ID（兑换遗留，用作下次使用）
     */
    @Excel(name = "父级ID", readConverterExp = "兑=换遗留，用作下次使用")
    @ApiModelProperty(value = "父级ID")
    private Long parentId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setBusinessId(Long businessId) {
        this.businessId = businessId;
    }

    public Long getBusinessId() {
        return businessId;
    }

    public void setBusinessNum(Long businessNum) {
        this.businessNum = businessNum;
    }

    public Long getBusinessNum() {
        return businessNum;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public void setUseNum(Long useNum) {
        this.useNum = useNum;
    }

    public Long getUseNum() {
        return useNum;
    }

    public void setConvertNum(Long convertNum) {
        this.convertNum = convertNum;
    }

    public Long getConvertNum() {
        return convertNum;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

}
